#include <iostream>
#include <string>
using namespace std;

int main()
{
    int n,k=0;
    cin>>n;
    string s="<3",t;
    for(int i=0; i<n; i++)
        cin>>t,s+=t+"<3";
    cin>>t;
    for(size_t i=0; i<t.size(); i++)
    {
        if(t[i]==s[k])
            k++;
        if(k>=s.size())
            return cout<<"yes"<<endl,0;
    }
    cout<<"no"<<endl;
    return 0;
}
